<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Vejminek App</title>

    <link rel="stylesheet" href="vendor/font-awesome/css/all.min.css">
    <link rel="stylesheet" href="vendor/google-font-Montserrat/Montserrat.css">
    <link rel="stylesheet" href="css/main.css">

    <script src="vendor/jquery/js/jquery-3.4.1.min.js"></script>
    <script src="js/Allkol.js"></script>
    <script src="js/VejminekClient.js"></script>
    <script src="js/index.js"></script>

    <script>
        // window.onbeforeunload = function() {
        //     return "Opravdu chcete opustit aplikaci?";
        // };

        $(function() {
            // let client = new VejminekClient(
            //     "127.0.0.1", 8083, "d85ee646-73fd-4aa0-b107-3f815c405ba7", true);

            // let output = document.querySelector("#output");
            // let elemDevices = document.querySelector("#devices")
            // output.innerHTML = "";
            // elemDevices.innerHTML  = "";

            // client.on("load", function() {
            //     client.eachDevice(function(id, data, template) {
            //         let devHTML = "";
            //         devHTML += `
            //             <div class="device" data-id="${id}">
            //                 <div class="label">${data.label}</div>
            //                 <div class="actions">`;
            //         for(let i in template.actions) {
            //             let action = template.actions[i];
            //             devHTML += `
            //                     <div class="action" data-identifier="${action.identifier}">
            //                         <div class="label">${action.label}</div>
            //                     </div>
            //             `;
            //         }
            //         devHTML += `
            //                 </div>
            //                 <div class="ports">
            //         `;
            //         for(let i in template.ports) {
            //             let port = template.ports[i];
            //             devHTML += `
            //                     <div class="port" data-identifier="${port.identifier}">
            //                         <div class="label">${port.label}</div>
            //                     </div>
            //             `;
            //         }
            //         devHTML += `
            //                 </div>
            //             </div>
            //         `;
            //         elemDevices.innerHTML += devHTML;
            //         output.innerHTML += `${id}: ${JSON.stringify(data)} | ${JSON.stringify(template)}\n`;
            //     });
            //     console.log(client._devicesByRoom);
            //     client.connect();
            // });

            // let locked = false;

            // $siteDevice = $(".site.device");

            // $(".site.devices-list > .device").click(function() {
            //     if(locked)
            //         return;
            //     locked = true;
            //     $devicesList = $(".site.devices-list");
            //     $(".site.devices-list").addClass("slide-right");
            //     setTimeout(function() {
            //         $devicesList.addClass("hidden");
            //         $devicesList.removeClass("slide-right");
            //         $siteDevice.removeClass("hidden");
            //         locked = false;
            //     }, 125);
            // });

            // $siteDevice.find("> .top-bar > .icon").click(function() {
            //     if(locked)
            //         return;
            //     locked = true;
            //     $siteDevice.addClass("slide-left");
            //     setTimeout(function() {
            //         $siteDevice.addClass("hidden");
            //         $siteDevice.removeClass("slide-left");
            //         $(".site.devices-list").removeClass("hidden");
            //         locked = false;
            //     }, 125);
            // });
        });
    </script>
</head>
<body>
    <noscript class="noscript-error">
        <p>Your browser does not support JavaScript!</p>
        <p>Unfortunatelly, this application needs JavaScript working.</p>
    </noscript>
    <div class="site hidden">
        <pre id="output">

        </pre>
        <div id="devices" class="devices">

        </div>
        <h3>Vysr*t se na boxy. Vypsat list zařízení v každý místnosti. Po kliknutí na zařízení slidnout doleva a zobrazit akce a porty zařízení.</h3>
    </div>
    <div class="site devices-list"></div>
    <div class="site device hidden"></div>
</body>
</html>